<?php
/**
 * Plugin Name: Invizo Subscriptions Lite
 * Plugin URI:  https://wordpress.org/plugins/invizo-subscriptions-lite/
 * Description: High-performance, React-powered subscription engine specifically designed to process Stripe payments natively without bulk.
 * Version:     1.0.8
 * Author:      Invizo
 * Author URI:  https://invizo.com/
 * License:     GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: invizo-subscriptions-lite
 * Domain Path: /languages
 * Requires at least: 6.3
 * Requires PHP:      7.4
 * Tested up to:       6.9
 * Requires Plugins:   woocommerce
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'INVIZO_LITE_VERSION', '1.0.8' );
define( 'INVIZO_LITE_PATH', plugin_dir_path( __FILE__ ) );
define( 'INVIZO_LITE_URL', plugin_dir_url( __FILE__ ) );

require_once INVIZO_LITE_PATH . 'invizo-vendor/autoload.php';

use Invizo\SubscriptionsLite\Plugin;

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'invizo_subs_plugin_action_links' );
function invizo_subs_plugin_action_links( $links ) {
	$settings_link = sprintf(
		'<a href="%s">%s</a>',
		esc_url( admin_url( 'admin.php?page=invizo-subscriptions' ) ),
		esc_html__( 'Settings', 'invizo-subscriptions-lite' )
	);
	array_unshift( $links, $settings_link );
	return $links;
}

Plugin::instance();
